package MT::Plugin::SKR::RebuildPopupAutoClose;
########################################################################
#   RebuildPopupAutoClose
#           Copyright (c) SKYARC System Co.,Ltd.
########################################################################

use strict;

use vars qw( $MYNAME $VERSION );
$MYNAME = 'RebuildPopupAutoClose';
$VERSION = '0.01';

use base qw( MT::Plugin );
my $plugin = __PACKAGE__->new({
        name => $MYNAME,
        id => lc $MYNAME,
        key => lc $MYNAME,
        version => $VERSION,
        description => <<HTMLHEREDOC,
Set the scheduled publishing as default when an entry created newly.
HTMLHEREDOC
});
MT->add_plugin( $plugin );

sub instance { $plugin; }

### Registry
sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
           'MT::App::CMS::template_source.rebuilt' => \&_rebuild_source,
        },
    });
}

###
sub _rebuild_source {
    my ($cb, $app, $tmpl) = @_;
    my $old = quotemeta(<<HTMLHEREDOC);
<mt:include name="include/chromeless_footer.tmpl">
HTMLHEREDOC
    my $new = <<HTMLHEREDOC;
<script type="text/javascript">window.close();</script>
HTMLHEREDOC
    $$tmpl =~ s/($old)/$new$1/;
}

1;